﻿using Newtonsoft.Json;
using RetSoft.Demo.Desktop.Models;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net.Cache;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Net.Mime;
using System.Security.Cryptography;
using System.Text;
using System.Windows.Forms;

namespace RetSoft.Demo.Desktop
{
    public partial class DemoForm : Form
    {

        private HttpClient client;

        public DemoForm()
        {
            InitializeComponent();
        }

        private void btnFolderDemo_Click(object sender, EventArgs e)
        {
            var demo = new FolderDemo(client);
            demo.Show(this);
        }

        private void btnDocumentDemo_Click(object sender, EventArgs e)
        {
            var demo = new DocumentDemo(client);
            demo.Show(this);
        }

        private void btnSearchDemo_Click(object sender, EventArgs e)
        {
            var demo = new SearchDemo(client);
            demo.Show(this);
        }

        private void DemoForm_Load(object sender, EventArgs e)
        {
            client = LoginForm.PerformLogin();
            if (client == null) // Not connected -> Close()
                Close();
        }

    }
}
