﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RetSoft.Demo.Desktop.Models
{
    public class DocumentResponse
    {
        public int Id { get; set; }
        public string DocumentKey { get; set; }
        public int ParentId { get; set; }
        public string Name { get; set; }
        public DateTime CreationDate { get; set; }
        public DateTime Date { get; set; }
        public DateTime? ExpirationDate { get; set; }
        public int FileTypeId { get; set; }
        public string FileTypeExtension { get; set; }
        public bool TrashMark { get; set; }
        public bool ExcludedFromSearch { get; set; }
        public int PageCount { get; set; }
        public int VirtualPageCount { get; set; }
        public string Source { get; set; }
        public int OwnerId { get; set; }
        public string Lock { get; set; }
        public bool Synchronized { get; set; }
        public string SyncTag { get; set; }
        public int PostFix { get; set; }
        public int CloudStatus { get; set; }
        public int AccpvId { get; set; }
        public int VersionId { get; set; }
        public bool Superseded { get; set; }
        public int DiskSize { get; set; }
    }
}
