﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RetSoft.Demo.Desktop.Models
{
    public class FolderModel
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public string VirtualPath { get; set; }
        public int DocumentCount { get; set; }
        public int SubfolderCount { get; set; }
        public DateTime CreationDate { get; set; } = DateTime.Now;
        public string Notes { get; set; }
        public int ParentId { get; set; }
        public bool ExcludedFromSearch { get; set; } = false;
        public bool Synchronized { get; set; } = false;
        public string SyncTag { get; set; } = null;
        public int CloudStatus { get; set; } = 0;
        public int? InboxId { get; set; } = null;
        public int AccpvId { get; set; } = 0;
    }
}
