﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RetSoft.Demo.Desktop
{
    public partial class NameForm : Form
    {
        public NameForm()
        {
            InitializeComponent();
        }

        public string NewName
        {
            get
            {
                return txtName.Text;
            }
            set
            {
                txtName.Text = value;
            }
        }

        public static string GetName(string currentName = "")
        {
            string name = null;
            using (var f = new NameForm())
            {
                f.NewName = currentName;
                if (f.ShowDialog() == DialogResult.OK)
                {
                    name = f.NewName;
                }
            }
            return name;
        }
    }
}
