﻿using Microsoft.AspNetCore.Http;
using System;
using System.ComponentModel.DataAnnotations;

namespace RetSoft.Demo.Desktop.Models
{
    public class CreateDocumentRequest
    {
        [Required]
        public string Name { get; set; }
        public DateTime DocumentDate { get; set; } = DateTime.Now;
        public bool AutoNumber { get; set; } = false;
        public DateTime? ExpirationDate { get; set; } = null;
        [Required]
        public IFormFile File { get; set; }
    }
}
